Subject: Re: Powerbook shuts down hard when hot, patch found

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 30 Sep 2007 08:19:53 +1000

> 
> This all smells to me like a silicon bug, so I'd start searching
> in the silicon erratas. But I'm not sure, of course. It's also strange
> that it depends on temperature. (That's why I first expected the PMU
> would cause this).
> 
> Thanks for your help.

Could be that we are creating a short by driving the output low, thus
causing the silicon to heat up, but that's strange.

Also, the other change I made you do turns these into inputs, thus the
DDL lines should be pulled up, unless ... the board doesn't have
pullups.

Ben.